Docs
Product Repository APIMerchant Product Attribute

Delete merchant product attribute

Security groups:Local Product CreatorsGlobal Product Creators
DELETE
/products/merchant-product-attributes/{merchantProductAttributeName}

Delete merchant product attribute by field name.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

merchantProductAttributeName*string

Merchant product attribute name.

Lengthlength <= 100

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X DELETE "https://example.com/products/merchant-product-attributes/attribute_name"
Empty
{
  "code": "BadRequest",
  "message": "Bad request.",
  "status": "BAD_REQUEST"
}
{
  "code": "Unauthorized",
  "message": "Not authorized.",
  "status": "UNAUTHORIZED"
}
{
  "code": "Forbidden",
  "message": "API key no longer has access to the account, or their user level doesn’t allow access to the endpoint.",
  "status": "FORBIDDEN"
}
{
  "code": "PAYLOAD_TOO_LARGE",
  "message": "Request body too large.",
  "status": "PAYLOAD_TOO_LARGE",
  "timestamp": "2024-06-21T12:36:37.900574"
}
{
  "status": "UNSUPPORTED_MEDIA_TYPE",
  "code": "UNSUPPORTED_MEDIA_TYPE",
  "message": "Unsupported Media Type client error, the server refuses to accept the request because the payload format is in an unsupported format.",
  "timestamp": "2024-06-21T12:36:37.900574",
  "path": "/path"
}